
Redmine - Feature #28413

Add CSS class to identify public projects

2018-03-24 05:34 - Sho HASHIMOTO

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

Currently, I can't find information whether redmine projects is public or private.

At least, I want to a.project.public or a.project.private. on /projects.

This patch is added both a.project class.

Associated revisions

Revision 17452 - 2018-07-22 07:02 - Go MAEDA

Add CSS class to identify public projects (#28413).

Patch by Sho HASHIMOTO.

History

#1 - 2018-03-30 09:37 - Go MAEDA

- Target version set to Candidate for next major release

+1

The patch is useful for theme developers.

#2 - 2018-04-09 15:15 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#3 - 2018-06-09 09:30 - Go MAEDA

IMHO, we don't have to add "private" class for private projects, adding .public for public projects is enough. The reasons are as follows:

You can select by private projects by using :not (e.g. a.project:not(.pubblic))

Private issues have .private class but public issues don't have oppisite class .public

If users really want .private class, we can support it in later versions. But if we implement .private class now, It will be difficult to delete it in the

future due to compatibility.

Feedbacks welcome.

#4 - 2018-07-16 04:23 - Sho HASHIMOTO

There is no problem for adding only public.

#5 - 2018-07-16 04:50 - Go MAEDA

- File redmine_project_visibility_class-v2.patch added

Slightly modified the patch to delete 'private' class.

#6 - 2018-07-22 07:04 - Go MAEDA

- Subject changed from Project Visibility class to Add CSS class to identify public projects

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Public projects have "public" CSS class after this. Thank you for your contribution.

#7 - 2018-07-22 12:03 - Sho HASHIMOTO

Thanks!!

Files

redmine_project_visibility_class.patch 1.41 KB 2018-03-24 Sho HASHIMOTO

redmine_project_visibility_class-v2.patch 1.5 KB 2018-07-16 Go MAEDA
